LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

Trouble installing labview runtime engine

Can not install labview runtime engine.  Says there is already a higher version installed.
0 Kudos
Message 1 of 3
(1,894 Views)
Yes, this is a pain - and I have no idea why NI would design their installers in this way. I can think of no rational reason. In any case, the work around is to uninstall everything and then reinstall in a different order. For example, I ran into the problem was trying to install a runtime executable on a machine that already has some NI drivers installed. Part of that installation was that it installed the V7.1 runtime engine. When I then went to install my executable which was built in V7.0 it wouldn't install. To get around this bug I had to uninstall all NI software and then reinstall my executable and then the drivers, in that order.

Mike...

Certified Professional Instructor
Certified LabVIEW Architect
LabVIEW Champion

"... after all, He's not a tame lion..."

For help with grief and grieving.
Message 2 of 3
(1,878 Views)

As Mike has suggested, to uninstall all NI traces from your system, you may need the msiblast.exe.

Search the forums to get it. Run it & it ll take care of removing all the NI programs installed on your system.

Then, you can go ahead installing the lower version RTE [ run-time engine ].

- Partha ( CLD until Oct 2021 🙂 )
0 Kudos
Message 3 of 3
(1,872 Views)